Bug 1302779 - Library upgrade for httpclient and commons-io
Library upgrade for httpclient and commons-io
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
2.0
All Unspecified
medium Severity medium
: ---
: ---
Assigned To: candlepin-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 10:35 EST by Tramaine Darby
Modified: 2016-07-22 10:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-22 10:52:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tramaine Darby 2016-01-28 10:35:35 EST
Description of problem:
In order to avoid compilation issues introduced with the upgrade to RestEasy 3.0, the IT Adapters implemented different service clients that depend on a higher version of HttpClient.  The User service also needs a newer version of Commons IO.  

We are requesting that httpclient-4.2.1.jar be replaced with httpclient-4.3.2.jar  and commons-io-1.3.2.jar be replaced with commons-io-1.4.jar

Version-Release number of selected component (if applicable):2.0.X

How reproducible:
Always happens

Steps to Reproduce:
1.Deploy Candlepin
2.Apply IT Adapters with dependencies
3.Observe both versions of the jar files in the lib folder of the app 

Actual results:
Both commons-io-1.3.2.jar and httpclient-4.2.1.jar are installed with Candlepin 


Expected results:
Both commons-io-1.4.jar and httpclient-4.3.2.jar are installed with Candlepin 


Additional info:
Comment 1 Chris Rog 2016-04-26 11:54:22 EDT
commit 6c4c8f0edf673c7176e65261d23381804e6a452d
Author: Chris Rog <crog@redhat.com>
Date:   Tue Apr 26 11:35:54 2016 -0400

    Updated component versions for commons-io and httpclient
    
    - Candlepin now uses commons-io 1.4 and httpclient 4.3.2


This update will take effect in our next build (2.0.12 or 2.1.0)
Comment 2 Barnaby Court 2016-07-22 10:52:17 EDT
Marking as closed per Candlepin procedures as a fix has been merged or it has been determined to not be an issue.

Note You need to log in before you can comment on or make changes to this bug.